Subject: Re: Tc bug (kernel crash) more info

From: Badalian Vyacheslav <[email-masked]>
Date: Fri, 31 Aug 2007 13:33:04 +0400

>> i not have testing mashine.
>> we have 2 mashine and dynamic routing. if 1 mashine down - all traffic 
>> go to second mashine.
>> I can test is on this mashines but i need that testing mashine will 
>> reboot on kernel panic (sysctl message). No freezes =)
>>
>> Ok. i try 2.6.23-rc4.
>>     
>
> ...but without testing machine it can be too much risk! New versions
> of kernel can break your applications (sometimes they should be at
> least rebuilded).
>
> So, maybe you would better try this, 'less testing', version of my patch:
>
>   
I risk only if RC kernel broke hardware. Mashines use only iptables and 
TC. All Scrips backuped.
But if i need to reboot PC by hand (if it freeze) i need drive to 
servers-room =)

 > BTW, I think after this BUG could be something more about other CPUs.
 > Could you check this?

I send to you all info that catch NETCONSOLE. i don't cut any info...

Now 1 mashine work at *"2.6.23-rc4-git2 
<http://kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.23-rc4-git2.bz2>" 
Backup mashine use 2.6.18*